/* 
 * Esqueleto para implementaes do tipo abstrato de dados fila.
 */

#ifndef ESQUELETO_FILA
#define ESQUELETO_FILA

typedef int elem_t; /* Tipo do elemento */

typedef void* Fila; /* Tipo da fila (a ser redefinido) */

void cria_fila(Fila* fila);

int fila_vazia(Fila* fila);
	  
void insere_fila(Fila* fila, elem_t elem);

elem_t remove_fila(Fila* fila);

void libera_fila(Fila* fila);

#endif
